import { Handler } from 'express';
import { Route } from './openapi/types';
import { HttpMethod } from './types';
export declare class Stash<Value extends any> {
    private stashKey;
    constructor(stashKey: string | symbol);
    find: (route: Route, method: HttpMethod) => Value | null;
    store: (handler: Handler, value: Value) => void;
}
